# GESSourceClipAsset

    GObject
        ╰──GESAsset
            ╰──GESClipAsset
                ╰──GESSourceClipAsset
                    ╰──GESUriClipAsset

An asset types from which GESSourceClip will be extracted

### Members

`parent_instance` (GESClipAsset) –
No description available

Since : 1.18

### Class structure

#### GESSourceClipAssetClass

##### Fields

`parent_class` (GESClipAssetClass) –
No description available

### GES.SourceClipAssetClass

##### Attributes

`parent_class` (GES.ClipAssetClass) –
No description available

### GES.SourceClipAssetClass

##### Attributes

`parent_class` (GES.ClipAssetClass) –
No description available

## GES.SourceClipAsset

    GObject.Object
        ╰──GES.Asset
            ╰──GES.ClipAsset
                ╰──GES.SourceClipAsset
                    ╰──GES.UriClipAsset

An asset types from which GES.SourceClip will be extracted

### Members

`parent_instance` (GES.ClipAsset) –
No description available

Since : 1.18

## GES.SourceClipAsset

    GObject.Object
        ╰──GES.Asset
            ╰──GES.ClipAsset
                ╰──GES.SourceClipAsset
                    ╰──GES.UriClipAsset

An asset types from which GES.SourceClip will be extracted

### Members

`parent_instance` (GES.ClipAsset) –
No description available

Since : 1.18

## Constants

### GES_TYPE_SOURCE_CLIP_ASSET

    #define GES_TYPE_SOURCE_CLIP_ASSET ges_source_clip_asset_get_type ()

The results of the search are